
QGIS Application - Bug report #15639

labelling: line curved placement is broken

2016-09-29 10:20 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23562

Description

On master (2.99), the rendering of labels with curved placements over line is broken, whereas zooming into the canvas eventually have

the labels squished into a single block.

It's a bit hard to explain, see attached video.

History

#1 - 2016-10-06 02:17 AM - Frits van Veen

I reproduced the issue. The problem starts at around scale 1:500. Probably a float/double issue. I'll look into it.

#2 - 2016-10-06 05:09 AM - Frits van Veen

Fixed it.

#3 - 2016-10-17 07:09 AM - Andreas Neumann

Thanks - Frits!

Is it fixed with commit:12a8891

@Mathieu - did you test? Can we close this issue?

#4 - 2016-10-17 03:13 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

All fixed
